@import "globals";


@import "subjects";

@mixin subject-background($gradStart, $gradEnd, $color3: $gradEnd){
    
    .subject-background{
        background: linear-gradient(135deg, $gradStart 0%, $gradEnd 100%);
    }
}


@each $subject, $value in $subjects{
    .#{$subject} { 
        @include subject-background($value...)
    } 
}


//fonts
@import url('https://fonts.googleapis.com/css?family=Pacifico|Quicksand:400,500,700');
*{
    font-family: 'Quicksand', sans-serif;
}

.o-full-token-notation{ // later use inuit "flag' or the other object
    font-size:1em;
    >img{
        margin-left: 0.15em;
        height:0.9em;
        margin-bottom: -0.1em;
    }

    .brz{ // The number
        font-size: x-small;
    }
}

.o-lightbox{
    position: fixed;
    z-index: 99999;
    height: 100vh;
    width: 100vw;
    overflow: hidden;
}

.o-user-with-avatar{
    >img{
        height: 3em;
    }
    div, span{
        display: inline-block;
        vertical-align: top;
        line-height: 3em;
    }
}

.o-mini-headline{
    font-size:0.9em;
}

.u-margin-auto{
    margin-left: auto;
    margin-right: auto;
}
.u-headline-font{
    font-family: 'Pacifico', cursive !important;
}

.u-incorrect-bg{
    background: linear-gradient(131.74deg, #d12626 0%,  #9c1b1b 100%) !important;
    color: white;
}
.u-correct-bg{
    background: linear-gradient(131.74deg, #44cc52 0%, #449652 100% ) !important;
    color: white;    
}

.u-blue-bg{
    background-color: $brz-blue;
    border: 1px $brz-white solid !important;
    color:$brz-white;
}
.u-white-bg{
    background-color: $brz-white;
    border: 1px $brz-blue solid !important;    
    color: $brz-blue;
}

.u-caption{
    font-size: 0.7em;
}

.u-inline-block{
    display: inline-block;
}

.u-float-left{
    float: left;
}

.u-float-right{
    float: right;
}

//generic
button, .btn{
    font-family: 'QuickSand', sans-serif;
    border-radius: $border-radius;
    padding: 0.5em 1em;
    border-style: none;
    cursor: pointer;
    text-align: center;
}

.btn{
    display: block;
    text-decoration: none;
}

.btn-pill{
    @extend .btn;
    border-radius: 6em;
    padding: 0.6em 3.5em;
    font-weight: bold;
    margin-left: auto;
    margin-right: auto;
}